#Module-Specific definitions
%define mod_name mod_bw
%define mod_conf 32_%{mod_name}.conf
%define mod_so %{mod_name}.so

Summary:        Bandwidth administration module for Apache HTTPD
Name:		apache-%{mod_name}
Version:	0.8
%define subrel	1
Release:	%mkrel 11
Group:		System/Servers
License:	Apache License
URL:		http://www.ivn.cl/apache/
Source0: 	http://prdownloads.sourceforge.net/bwmod/mod_bw-%{version}.tar.bz2
Source1:	%{mod_conf}
Requires(postun): rpm-helper
Requires:	apache >= 2.2.0
BuildRequires:	apache-devel >= 2.2.0
BuildRequires:	file
Epoch:		1

%description
mod_bw is a bandwidth administration module for Apache HTTPD 2.0.x

* Restrict the number of simultaneous connections per vhost/dir
* Limit the bandwidth for files on vhost/dir

%prep
%setup -q -n mod_bw

%build

%{_sbindir}/apxs -c %{mod_name}.c

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d

install -m0755 .libs/*.so %{buildroot}%{_libdir}/apache-extramodules/
install -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}

install -d %{buildroot}%{_var}/www/html/addon-modules
ln -s ../../../..%{_docdir}/%{name}-%{version} %{buildroot}%{_var}/www/html/addon-modules/%{name}-%{version}

%files
%doc ChangeLog LICENSE TODO mod_bw.txt
%config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%{_libdir}/apache-extramodules/%{mod_so}
%{_var}/www/html/addon-modules/*




%changelog

* Sat Jul 07 2012 luigiwalser <luigiwalser> 1:0.8-11.1.mga2
+ Revision: 268673
- fix module configuration to work with systemd (mga #6714)
- httpd restart is handled by filetriggers now

* Fri Jan 20 2012 guillomovitch <guillomovitch> 1:0.8-10.mga2
+ Revision: 198769
- imported package apache-mod_bw

